Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class StoreBaseH2

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.layout2.StoreBase
              com.hp.hpl.jena.sdb.store.StoreBaseH2

All Implemented Interfaces:
  Store

    public abstract class StoreBaseH2

extends StoreBase

Constructor Summary
`StoreBaseH2(SDBConnection connection, StoreDesc desc, StoreFormatter formatter, StoreLoader loader, QueryCompilerFactory compilerF, SQLBridgeFactory sqlBridgeF, TableDescTriples tripleTableDesc, TableDescQuads quadTableDesc, TableDescNodes nodeTableDesc)`

Method Summary
`void` | `checkpoint()`
`static void` | `checkpoint(Store store)`
`void` | `close()` Stores should be closed explicitly.
`static void` | `close(Store store)`

Methods inherited from class com.hp.hpl.jena.sdb.layout2.StoreBase
`getConfiguration, getConnection, getDatabaseType, getLayoutType, getLoader, getNodeTableDesc, getQuadTableDesc, getQueryCompilerFactory, getSize, getSQLBridgeFactory, getSQLGenerator, getTableFormatter, getTripleTableDesc, isClosed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.Store
`getSize`

Constructor Detail

### StoreBaseH2

    public StoreBaseH2(SDBConnection connection,
                       StoreDesc desc,
                       StoreFormatter formatter,
                       StoreLoader loader,
                       QueryCompilerFactory compilerF,
                       SQLBridgeFactory sqlBridgeF,
                       TableDescTriples tripleTableDesc,
                       TableDescQuads quadTableDesc,
                       TableDescNodes nodeTableDesc)

Method Detail

### close

    public void close()

  Description copied from interface: `Store`
  Stores should be closed explicitly. Some stores may require specific finalization actions (e.g. embedded databases), and some stores may be able to release system resources.

  Specified by:
    `close` in interface `Store`
  Overrides:
    `close` in class `StoreBase`

### close

    public static void close(Store store)

### checkpoint

    public static void checkpoint(Store store)

### checkpoint

    public void checkpoint()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.